#!/bin/csh -f

# Read triples from stdin, abbreviate common URI prefixes and write abbreviated triples to stdout.
# This script handles prefixes used in the :BaseKB Gold KB used by TAC-KBP.
# It is important for the abbreviations to be lower-case and to not use a : in order to make things
# work smoothly with the Lucene query parser.
# The prefixes are 1-1 and are easily back-translatable if necessary, but there is no support for that yet.

sed -e 's|<http://rdf.basekb.com/ns/|<f_|g' \
    -e 's|<http://rdf.basekb.com/key/|<fk_|g' \
    -e 's|<http://www.w3.org/1999/02/22-rdf-syntax-ns#|<r_|g' \
    -e 's|<http://www.w3.org/2000/01/rdf-schema#|<rs_|g' \
    -e 's|<http://www.w3.org/2002/07/owl#|<ow_|g' \
    -e 's|<http://en.wikipedia.org/wiki/|<we_|g' \
    -e 's|<http://wp/en/|<wp_|g' \
    -e 's|<http://musicbrainz.org/recording/|<mb_|g' \
    -e 's|<http://mb-redir.freebaseapps.com/redir/|<mr_|g'
