#!/bin/csh -f

# Read triples from stdin, sort them by subject and predicate and write sorted triples to stdout.

# IMPORTANT: this needs a significant amount of temporary space which is assumed to be available in
# the directory pointed to by SORT_DIR (about twice the compressed size of the triples flowing in
# which would be around 20GB for the fully abbreviated set).  For this reason, SORT_DIR doesn't
# point to /tmp which often doesn't have that much room available.  If the configured directory
# doesn't have the required room, point it to somewhere else.

set SCRIPT=`basename $0`
set FBT_HOME=`dirname $0`
set FBT_HOME=`readlink -f $FBT_HOME`

source "$FBT_HOME"/config.dat

if (! -e "$SORT_DIR") mkdir -p "$SORT_DIR"

sort -t '	' -k 1,2 -T "$SORT_DIR" --compress-program=gzip
